Loading...
Searching...
No Matches
TextBrowser Class Reference

TextBrowser. More...

`#include <tb.h>`

## Public Member Functions

const bool & | getWideLinesUsage ()
| Returns whether the wide lines option is set to be used or not.
const int & | getColorSchemeID ()
| Returns the ID of the color scheme in use.
const std::unordered_map< std::string, QString > & | getColorScheme ()
| Returns the color scheme in use.
const QString & | getFontFamily ()
| Returns the family of the font in use.
const QFont & | getFont ()
| Returns the font in use.
void | setWideLinesUsage (const bool &use_wide_lines)
| Sets whether to use wide lines or not.
void | setColorScheme (const int &color_scheme_id, const std::unordered_map< std::string, QString > &color_scheme)
| Stes the given color scheme as the one in use.
void | setFont (const QFont &font)
| Sets the given font as the one in use.
void | makePreview (QString &content)
| Builds the preview which will be shown in the configs tab. More...

## Detailed Description

TextBrowser.

Perform operations for files visualization

## Member Function Documentation

## makePreview()

void TextBrowser::makePreview | ( | QString & | content | ) |

Builds the preview which will be shown in the configs tab.

Parameters

  content | Will hold the preview string

The documentation for this class was generated from the following files:

- logdoctor/modules/tb.h
- logdoctor/modules/tb.cpp